<div class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource">
    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef> Дата</th>
      <td mat-cell *matCellDef="let element"> {{element.date}} </td>
    </ng-container>
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef> ФИО</th>
      <td mat-cell *matCellDef="let element"> {{element.name}} </td>
    </ng-container>
    <ng-container matColumnDef="phone">
      <th mat-header-cell *matHeaderCellDef> Телефон</th>
      <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
    </ng-container>
    <ng-container matColumnDef="text">
      <th class="width-comment" mat-header-cell *matHeaderCellDef> Текст</th>
      <td class="width-comment" mat-cell *matCellDef="let element"> {{element.text}} </td>
    </ng-container>

    <ng-container matColumnDef="img">
      <th mat-header-cell *matHeaderCellDef> Фото</th>
      <td mat-cell *matCellDef="let element">
        <mat-icon class="pointer-img" *ngIf="element.photo_link" aria-label="photo" (click)="openImage(element)">photo
        </mat-icon>
        <mat-icon class="not-img" *ngIf="!element.photo_link" aria-label="photo">photo</mat-icon>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <mat-paginator [length]="length"
                 [pageSize]="10"></mat-paginator>
</div>
